/*
 * UnitProtocol.h
 *
 *  Created on: 2019年11月28日
 *      Author: yt
 */

#ifndef UNITPROTOCOL_H_
#define UNITPROTOCOL_H_


extern int chk_protocol(unsigned char *inData, int inLen, unsigned char *outData);
int mkHeartBeatCmd(unsigned char *cmd);
extern int mk_ReportCmd(int idx, unsigned char *cmd);
extern int mk_RecordCmd(int d,int n,int m, unsigned char *cmd);
extern int mkDeviceRegistCmd(unsigned char *cmd);
extern int mk_RealdataCmd(int idx, unsigned char *cmd);

#endif /* UNITPROTOCOL_H_ */
